<xsl:stylesheet version="1.0"
    xmlns="urn:schemas-microsoft-com:office:spreadsheet"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
	xmlns:user="urn:my-scripts"
	xmlns:o="urn:schemas-microsoft-com:office:office"
	xmlns:x="urn:schemas-microsoft-com:office:excel"
	xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet" >  

<xsl:template match="NewDataSet">
<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
 xmlns:o="urn:schemas-microsoft-com:office:office"
 xmlns:x="urn:schemas-microsoft-com:office:excel"
 xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
 xmlns:html="http://www.w3.org/TR/REC-html40"> 
  
  
		<Styles>
		<Style ss:ID="Default" ss:Name="Normal">
		<Alignment ss:Vertical="Bottom"/>
		<Borders/>
		<Font/>
		<Interior/>
		<NumberFormat/>
		<Protection/>
		</Style>
		<Style ss:ID="s21">
		<Font ss:Bold="1"/>
		<Alignment ss:Horizontal="Center" ss:Vertical="Bottom"/>
		</Style>	
		</Styles>
  
  
	<Worksheet> 	 
				<xsl:attribute name="ss:Name">Products</xsl:attribute>
           <Table>
	        	<xsl:apply-templates select="NewDataSet"/>
          <Row>
              <Cell ss:StyleID="s21">
                <Data ss:Type="String">ProductID</Data>
              </Cell>
              <Cell ss:StyleID="s21">
                <Data ss:Type="String">ProductName</Data>
              </Cell>
              <Cell ss:StyleID="s21">
                <Data ss:Type="String">UnitPrice</Data>
              </Cell>
					</Row>
      
						<xsl:for-each select="Products">
						<Row>
              <Cell>
                <Data ss:Type="String">
                  <xsl:value-of select="ProductID"/>
                </Data>
              </Cell>
              <Cell>
                <Data ss:Type="String">
                  <xsl:value-of select="ProductName"/>
                </Data>
              </Cell>
              <Cell>
                <Data ss:Type="String">
                  <xsl:value-of select="UnitPrice"/>
                </Data>
              </Cell>
						</Row>
						</xsl:for-each>	
      
						</Table>  	   
	</Worksheet>  
</Workbook>
</xsl:template>  
</xsl:stylesheet>



